using System.Drawing;
using System.Diagnostics;
using System.Windows.Forms;
using System.Collections;
using Microsoft.VisualBasic;
using System.Collections.Generic;
using System;


namespace EmployeeApp
{
	namespace DataAccessTier
	{
		
		public class DataAccessException : System.ApplicationException
		{
			
			
			
			private string sql; //** SQL query we were trying to execute
			
			public DataAccessException(Exception innerEx, string sql) : base("Data Access Error:", innerEx)
			{
				
				this.sql = sql;
			}
			
			public override string Message
			{
				get
				{
					string msg;
					Exception ex;
					
					msg = base.Message;
					ex = base.InnerException;
					
					while (ex != null)
					{
						msg = msg + " " + ex.Message;
						ex = ex.InnerException;
					}
					
					msg = msg + ControlChars.NewLine + ControlChars.NewLine + "Trying to execute SQL=\'" + this.sql + "\'";
					return msg;
				}
			}
			
		}
		
	}
	
}
