using System.Drawing;
using System.Diagnostics;
using System.Windows.Forms;
using System.Collections;
using Microsoft.VisualBasic;
using System.Collections.Generic;
using System;


namespace EmployeeApp
{
	public class Employee
	{
		
		
		private string m_FirstName;
		private string m_LastName;
		private string m_Email;
		private string m_CellPhone;
		private decimal m_Salary;
		private string m_City;
		
		public string FirstName
		{
			get
			{
				return this.m_FirstName;
			}
		}
		public string LastName
		{
			get
			{
				return this.m_LastName;
			}
		}
		public string Email
		{
			get
			{
				return this.m_Email;
			}
		}
		public string CellPhone
		{
			get
			{
				return this.m_CellPhone;
			}
		}
		public decimal Salary
		{
			get
			{
				return this.m_Salary;
			}
		}
		public string FormattedSalary
		{
			get
			{
				return this.m_Salary.ToString("C", System.Globalization.NumberFormatInfo.CurrentInfo);
			}
		}
		public string City
		{
			get
			{
				return this.m_City;
			}
		}
        public Employee(string firstname, string lastname, string email, string cellphone, decimal salary, string city)
        {
            this.m_FirstName = firstname;
            this.m_LastName = lastname;
            this.m_Email = email;
            this.m_CellPhone = cellphone;
            this.m_Salary = salary;

            this.m_City = city;
        }
		
		public Employee(System.Data.DataRow datarow)
		{
			this.m_FirstName = datarow["FirstName"].ToString();
			this.m_LastName = datarow["Lastname"].ToString();
			this.m_Email = datarow["EmailAddr"].ToString();
			this.m_CellPhone = datarow["CellPhone"].ToString();
			this.m_Salary = System.Convert.ToDecimal(datarow["Salary"]);
			
			this.m_City = datarow["City"].ToString();
		}
		
	}
	
}
