using System.Drawing;
using System.Diagnostics;
using System.Windows.Forms;
using System.Collections;
using Microsoft.VisualBasic;
using System.Collections.Generic;
using System;
using System.Text;



namespace EmployeeApp
{
	namespace DataAccessTier
	{
		
		public abstract class GenericDataAccess
		{
			
			//
			// fields
			//
			private string sConnect;
			
			//
			// constructor
			//
			public GenericDataAccess(string ConnectionString)
			{
				this.sConnect = ConnectionString;
			}
			
			//
			// generic access methods
			//
			public System.Data.DataSet SelectQuery(string sql)
			{
				System.Data.DataSet ds = new System.Data.DataSet();
				System.Data.IDbConnection dbConn = null;
				
				try
				{
					dbConn = this.CreateConnection(this.sConnect);
					
					System.Data.IDbCommand dbCmd;
					dbCmd = this.CreateCommand(sql, dbConn);
					
					System.Data.IDbDataAdapter dbAdapter;
					dbAdapter = this.CreateAdapter(dbCmd);
					
					dbConn.Open();
					dbAdapter.Fill(ds);
				}
				catch (Exception ex)
				{
					ex = new DataAccessException(ex, sql);
					throw (ex);
				}
				finally
				{
					try
					{
						dbConn.Close();
					}
					catch (Exception)
					{
					}
				}
				
				return ds;
			}
			
			//
			// Factory methods: must be implemented by derived classes
			//
			protected abstract System.Data.IDbConnection CreateConnection(string connectInfo);
			protected abstract System.Data.IDbCommand CreateCommand(string sql, System.Data.IDbConnection dbConn);
			protected abstract System.Data.IDbDataAdapter CreateAdapter(System.Data.IDbCommand dbCmd);
		}
		
	}
}
