using System.Drawing;
using System.Diagnostics;
using System.Windows.Forms;
using System.Collections;
using Microsoft.VisualBasic;
using System.Collections.Generic;
using System;


namespace EmployeeApp
{
	public class MyListBox : ListBox, IEmployeeList
	{
		
		
		
		public MyListBox()
		{
			this.Sorted = true;
			this.SelectedIndexChanged += new System.EventHandler(this.Handler_SelectedIndexChanged);
		}
		
		private void Handler_SelectedIndexChanged(object sender, EventArgs e)
		{
			string name;
			name = System.Convert.ToString(this.SelectedItem);
			if (name == null)
			{
				return; //** turns out nothing is selected...
			}
			
			if (ClickOnEmployee != null)
				ClickOnEmployee(name);
		}
		
		public void Add(string name)
		{
			this.Items.Add(name);
		}
		
		public void Remove(string name)
		{
			this.Items.Remove(name);
		}

        public event IEmployeeListClickHandler ClickOnEmployee;
	}
	
}
