using System.Drawing;
using System.Diagnostics;
using System.Windows.Forms;
using System.Collections;
using Microsoft.VisualBasic;
using System.Collections.Generic;
using System;


namespace EmployeeApp
{
	public class MyTableLayoutPanel : TableLayoutPanel, IEmployeeList
	{
		
		
		
		public MyTableLayoutPanel()
		{
			this.RowCount = 0;
			this.RowStyles.Add(new RowStyle(SizeType.Percent, 100));
			
			this.ColumnCount = 1;
			
			this.CellBorderStyle = TableLayoutPanelCellBorderStyle.Single;
		}
		
		public void Add(string name)
		{
			LinkLabel ll;
			
			ll = new LinkLabel();
			ll.Text = name;
			ll.Anchor = AnchorStyles.None;
			ll.TextAlign = ContentAlignment.MiddleCenter;
			
			ll.Click += new System.EventHandler(this.Handler_LinkLabelClick);
			
			this.Controls.Add(ll);
			this.RowStyles.Add(new RowStyle(SizeType.Percent, 100));
		}
		
		private void Handler_LinkLabelClick(object sender, EventArgs e)
		{
			LinkLabel ll;
			string name;
			
			ll = (LinkLabel) sender;
			name = ll.Text;
			
			if (ClickOnEmployee != null)
				ClickOnEmployee(name);
		}
		
		public void Remove(string name)
		{
			LinkLabel ll;
			foreach (LinkLabel tempLoopVar_ll in this.Controls)
			{
				ll = tempLoopVar_ll;
				if (name.Equals(ll.Text))
				{
					this.Controls.Remove(ll);
                    break;
				}
			}

		}

        public event IEmployeeListClickHandler ClickOnEmployee;
		
	}
	
}
